Get
curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/user-attribute-mappings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/user-attribute-mappings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/user-attribute-mappings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attribute": {
"appPath": "<string>",
"fallbacksPath": "<string>",
"userAttributeMapping": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>",
"attributeType": {
"id": "<string>",
"app": {
"appId": "<string>"
},
"appUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>"
},
"celExpression": {
"celExpression": "<string>",
"userProfileAttributeKey": "<string>"
},
"customAppUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userProfileAttributeKey": "<string>"
},
"displayName": "<string>"
},
"count": 123,
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"evaluationErrorCount": 123,
"fallbacks": [
{
"app": {
"appId": "<string>"
},
"appUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>"
},
"celExpression": {
"celExpression": "<string>",
"userProfileAttributeKey": "<string>"
}
}
],
"id": "<string>",
"priority": 123,
"profileTypeIds": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"expanded": [
{
"@type": "<string>"
}
]
}UserAttributeMappings
Get
Get a user attribute mapping by its mapping ID.
GET
/
api
/
v1
/
user-attribute-mappings
/
{id}
Get
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Was this page helpful?